import RPi.GPIO as GPIO
import time

print(1);

GPIO.setmode(GPIO.BOARD)
GPIO.setwarnings(False)

control_pins = [7, 11, 13, 15]

for pin in control_pins:
	GPIO.setup(pin, GPIO.OUT)
	GPIO.output(pin, 0)
	
halfstep_seq = [
	[1,0,0,0],
	[1,1,0,0],
	[0,1,0,0],
	[0,1,1,0],
	[0,0,1,0],
	[0,0,1,1],
	[0,0,0,1],
	[1,0,0,1]
]

halfstep_seq_reverse = [
	[0,0,0,1],
	[0,0,1,1],
	[0,0,1,0],
	[0,1,1,0],
	[0,1,0,0],
	[1,1,0,0],
	[1,0,0,0],
	[1,0,0,1]
]

def clock90(times):
	for a in range(times):
		for i in range(128):
			for halfstep in range(8):
				for pin in range(4):
					GPIO.output(control_pins[pin], halfstep_seq[halfstep][pin])
					time.sleep(0.001)
	
def anticlock90(times):	
	for a in range(times):
		for i in range(128):
			for halfstep in range(8):
				for pin in range(4):
					GPIO.output(control_pins[pin], halfstep_seq_reverse[halfstep][pin])
					time.sleep(0.001)

clock90(1)
anticlock90(2)

GPIO.cleanup
